## nautilus-info-provider nautilus-info-provider |

## Functions

void | (*NautilusInfoProviderUpdateComplete) ()
NautilusOperationResult | nautilus_info_provider_update_file_info ()
void | nautilus_info_provider_cancel_update ()
void | nautilus_info_provider_update_complete_invoke ()

## Types and Values

| NautilusInfoProvider
struct | NautilusInfoProviderIface

## Object Hierarchy

        GInterface
        ╰── NautilusInfoProvider

## Prerequisites

NautilusInfoProvider requires GObject.

## Description

## Functions

### NautilusInfoProviderUpdateComplete ()

    void
    (*NautilusInfoProviderUpdateComplete) (NautilusInfoProvider *provider,
                                           NautilusOperationHandle *handle,
                                           NautilusOperationResult result,
                                           gpointer user_data);

### nautilus_info_provider_update_file_info ()

    NautilusOperationResult
    nautilus_info_provider_update_file_info
                                   (NautilusInfoProvider *provider,
                                    NautilusFileInfo *file,
                                    GClosure *update_complete,
                                    NautilusOperationHandle **handle);

### nautilus_info_provider_cancel_update ()

    void
    nautilus_info_provider_cancel_update (NautilusInfoProvider *provider,
                                          NautilusOperationHandle *handle);

### nautilus_info_provider_update_complete_invoke ()

    void
    nautilus_info_provider_update_complete_invoke
                                   (GClosure *update_complete,
                                    NautilusInfoProvider *provider,
                                    NautilusOperationHandle *handle,
                                    NautilusOperationResult result);

## Types and Values

### NautilusInfoProvider

    typedef struct _NautilusInfoProvider NautilusInfoProvider;

### struct NautilusInfoProviderIface

    struct NautilusInfoProviderIface {
    	GTypeInterface g_iface;

    	NautilusOperationResult (*update_file_info) (NautilusInfoProvider     *provider,
    						     NautilusFileInfo         *file,
    						     GClosure                 *update_complete,
    						     NautilusOperationHandle **handle);
    	void                    (*cancel_update)    (NautilusInfoProvider     *provider,
    						     NautilusOperationHandle  *handle);
    };